# This file created by conda-build 3.18.8
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Thu Jul 18 23:51:59 2019
# ------------------------------------------------

package:
    name: r-getpass
    version: '0.2_2'
source:
    fn: getPass_0.2-2.tar.gz
    sha256: 8cfdc7e8cabeae5dd325015d735b139d9828bd54ea8e7c2dcb636a00a153cd0f
    url:
        - https://cran.r-project.org/src/contrib/Archive/getPass/getPass_0.2-2.tar.gz
        - https://cran.r-project.org/src/contrib/getPass_0.2-2.tar.gz
build:
    merge_build_host: true
    number: '1003'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36h301d43c_1003
requirements:
    build:
        - m2-base 1.0.0 3
        - m2-bash 4.3.042 5
        - m2-bash-completion 2.3 2
        - m2-catgets 1.1 3
        - m2-coreutils 8.25 102
        - m2-dash 0.5.8 2
        - m2-diffutils 3.3 4
        - m2-file 5.25 2
        - m2-filesystem 2016.04 4
        - m2-findutils 4.6.0 2
        - m2-gawk 4.1.3 2
        - m2-gcc-libs 5.3.0 4
        - m2-gettext 0.19.7 4
        - m2-gmp 6.1.0 3
        - m2-grep 2.22 4
        - m2-gzip 1.7 2
        - m2-inetutils 1.9.2 2
        - m2-info 6.0 2
        - m2-less 481 2
        - m2-libasprintf 0.19.7 4
        - m2-libbz2 1.0.6 3
        - m2-libcatgets 1.1 3
        - m2-libcrypt 1.3 2
        - m2-libgettextpo 0.19.7 4
        - m2-libiconv 1.14 3
        - m2-libintl 0.19.7 4
        - m2-liblzma 5.2.2 2
        - m2-libpcre 8.38 2
        - m2-libreadline 6.3.008 8
        - m2-libutil-linux 2.26.2 2
        - m2-libxml2 2.9.2 3
        - m2-make 4.1 5
        - m2-mintty 1!2.2.3 2
        - m2-mpfr 3.1.4 2
        - m2-msys2-launcher-git 0.3.28.860c495 2
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-ncurses 6.0.20160220 2
        - m2-sed 4.2.2 3
        - m2-tar 1.28 4
        - m2-tftp-hpa 5.2 2
        - m2-time 1.7 2
        - m2-ttyrec 1.0.8 2
        - m2-tzcode 2015.e 2
        - m2-unzip 6.0 3
        - m2-util-linux 2.26.2 2
        - m2-which 2.21 3
        - m2-zip 3.0 2
        - m2-zlib 1.2.8 4
        - m2w64-binutils 2.25.1 5
        - m2w64-bzip2 1.0.6 6
        - m2w64-crt-git 5.0.0.4636.2595836 2
        - m2w64-gcc 5.3.0 6
        - m2w64-gcc-ada 5.3.0 6
        - m2w64-gcc-fortran 5.3.0 6
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gcc-objc 5.3.0 6
        - m2w64-gmp 6.1.0 2
        - m2w64-headers-git 5.0.0.4636.c0ad18a 2
        - m2w64-isl 0.16.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-make 4.1.2351.a80a8b8 2
        - m2w64-mpc 1.0.3 3
        - m2w64-mpfr 3.1.4 4
        - m2w64-pkg-config 0.29.1 2
        - m2w64-toolchain 5.3.0 7
        - m2w64-toolchain_win-64 2.4.0 0
        - m2w64-tools-git 5.0.0.4592.90b8472 2
        - m2w64-windows-default-manifest 6.4 3
        - m2w64-winpthreads-git 5.0.0.4634.697f757 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
        - posix 1.0.0 2
    host:
        - _r-mutex 1.0.1 anacondar_1
        - intel-openmp 2019.4 245
        - libblas 3.8.0 8_mkl
        - liblapack 3.8.0 8_mkl
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - mkl 2019.4 245
        - msys2-conda-epoch 20160418 1
        - r-base 3.6.1 h91c7823_2
        - r-rstudioapi 0.10 r36h6115d3f_1
    run:
        - m2w64-gcc-libs
        - r-base >=3.6,<3.7.0a0
        - r-rstudioapi >=0.5
test:
    commands:
        - '"%R%" -e "library(''getPass'')"'
about:
    home: https
    license: BSD 2-clause
    license_family: BSD
    license_file: D:\a\1\s\recipe/LICENSE
    summary: A micro-package for reading "passwords", i.e.  reading user input with
        masking, so that the input is not displayed as it  is typed.  Currently we
        have support for 'RStudio', the command line (every OS), and any platform
        where 'tcltk' is present.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - bgruening
        - conda-forge/r
        - daler
        - jdblischak
        - johanneskoester
